## python-tailscale 0.6.2

=== .github/workflows/requirements.txt ===
pip==25.0.1
poetry==2.1.2

## python-tailscale 0.6.1

=== debian/changelog ===
python-tailscale (0.6.1-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Tue, 06 Aug 2024 17:17:36 +0200

python-tailscale (0.6.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1077707)

 -- Edward Betts <edward@4angle.com>  Thu, 01 Aug 2024 11:52:07 +0900

=== debian/control ===
Source: python-tailscale
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-aiohttp <!nocheck>,
               python3-all,
               python3-aresponses <!nocheck>,
               python3-mashumaro <!nocheck>,
               python3-orjson <!nocheck>,
               python3-poetry-core,
               python3-pytest <!nocheck>,
               python3-pytest-asyncio <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-yarl <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/frenck/python-tailscale
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-tailscale
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-tailscale.git

Package: python3-tailscale
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Asynchronous client for the Tailscale API
 This library allows for programmatic control and monitoring of Tailscale
 clients. It provides an asynchronous interface to interact with the Tailscale
 API, enabling operations such as fetching the state of devices within a
 Tailscale VPN network. The library makes it easier to integrate Tailscale
 functionality into other applications by offering various methods to manage
 and query Tailscale networks and devices. This includes obtaining a list of
 devices, checking their status, and performing other actions that can be
 automated through the Tailscale API.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=tailscale
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=--no-cov

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf tailscale.egg-info/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-tailscale-$1\.tar\.gz/ \
  https://github.com/frenck/python-tailscale/tags .*/v?(\d\S+)\.tar\.gz

## python-tailscale 0.6.2

=== debian/changelog ===
python-tailscale (0.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Switch to autopkgtest-pkg-pybuild.
  * Move packages required for tests to Build-Depends-Indep.
  * Update Standards-Version.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Sat, 03 May 2025 18:09:42 +0300

=== debian/control ===
Source: python-tailscale
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
Build-Depends-Indep:
 python3-aiohttp <!nocheck>,
 python3-aresponses <!nocheck>,
 python3-mashumaro <!nocheck>,
 python3-orjson <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-yarl <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/frenck/python-tailscale
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-tailscale
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-tailscale.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-tailscale
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Asynchronous client for the Tailscale API
 This library allows for programmatic control and monitoring of Tailscale
 clients. It provides an asynchronous interface to interact with the Tailscale
 API, enabling operations such as fetching the state of devices within a
 Tailscale VPN network. The library makes it easier to integrate Tailscale
 functionality into other applications by offering various methods to manage
 and query Tailscale networks and devices. This includes obtaining a list of
 devices, checking their status, and performing other actions that can be
 automated through the Tailscale API.

=== debian/watch ===
version=4
https://github.com/frenck/python-tailscale/tags .*/v?(\d\S+)\.tar\.gz
